# Class StyleSheet.ListPainter

java.lang.Object
javax.swing.text.html.StyleSheet.ListPainter

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `StyleSheet`

public static final class StyleSheet.ListPainter extends Object implements Serializable
Class to carry out some of the duties of CSS list formatting. Implementations of this class enable views to present the CSS formatting while not knowing anything about how the CSS values are being cached.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `paint(Graphics g, float x, float y, float w, float h, View v, int item)`
  Paints the CSS list decoration according to the attributes given.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### paint

    public void paint(Graphics g, float x, float y, float w, float h, View v, int item)
    Paints the CSS list decoration according to the attributes given.
    Parameters:
      `g` - the rendering surface.
      `x` - the x coordinate of the list item allocation
      `y` - the y coordinate of the list item allocation
      `w` - the width of the list item allocation
      `h` - the height of the list item allocation
      `v` - the allocated area to paint into.
      `item` - which list item is being painted. This is a number greater than or equal to 0.